lpstat(1)

NOM
lpstat - Affiche l'état de CUPS

SYNOPSIS
lpstat [ -E ] [ -h serveur ] [ -l ] [ -W quels_travaux ] [ -a [ destination(s) ] ] [ -c [ classe(s) ] [ -d ] [ -o [ destination(s) ] ] [ -p [ imprimante(s) ] ] [ -r ] [ -R ] [ -s ] [ -t ] [ -u [ utilisateur(s) ] ] [ -v [ imprimante(s) ] ]

DESCRIPTION
lpstat affiche l'état des classes, travaux et imprimantes. Quand lpstat est lancé sans arguments, la liste des travaux en attente de l'utilisateur est affichée. Les autres options sont :

-E
    Force le cryptage lors de la connexion au serveur.

-a [imprimante(s)]
    Vérifie si les files d'attente des imprimantes acceptent les travaux d'impression. Si aucune imprimante n'est fournie dans la ligne de commande, toutes les imprimantes sont affichées.

-c [classe(s)]
    Affiche la classe d'imprimantes et ses imprimantes associées. Si aucune classe n'est fournie dans la ligne de commande, toutes les classes sont affichées.

-d
    Affiche la destination par défaut.

-h server
    Définit le serveur CUPS où envoyer la requête.

-l
    Affiche une liste détaillée des imprimantes, classes et travaux d'impression.

-o [destination(s)]
    Affiche la file d'attente des travaux sur les destinations spécifiées. Si aucune destination n'est fournie dans la ligne de commande, tous les travaux sont affichés.

-p [imprimante(s)]
    Affiche les imprimantes et si elles sont prêtes ou non à l'impression. Si aucune imprimante n'est fournie dans la ligne de commande, toutes les imprimantes sont affichées.

-r
    Affiche si le serveur CUPS est actif.

-R
    Affiche le rang des travaux d'impressions.

-s
    Affiche l'état détaillé, comprenant la destination par défaut, la liste des classes et leurs imprimantes associées, la liste des imprimantes et leur périphérique. Ceci peut être effectué en utilisant les options "-d", "-c" et "-p".

-t
    Affiche toutes les informations. Ceci peut être effectué en utilisant les options "-r", "-d", "-c", "-d", "-v", "-a", "-p", et "-o".

-u [utilisateur(s)]
    Affiche les travaux d'impression en attente d'un utilisateur. Si aucun utilisateur n'est fourni dans la ligne de commande, affiche les travaux de l'utilisateur qui lance la commande.

-v [imprimante(s)]
    Affiche les imprimantes et à quel matériel elles sont rattachées. Si aucune imprimante n'est fournie dans la ligne de commande, toutes les imprimantes sont affichées.

-W [quels-travaux]
    Définit quels sont les travaux à afficher, terminés (« completed ») ou en cours (« not-completed »), qui est l'option par défaut. Cette option doit doit se trouver dans la ligne de commandes avant l'option -o et tout nom d'imprimante. Dans le cas contraire, la valeur par défaut (« not-completed ») sera envoyée à l'ordonnanceur.

COMPATIBILITÉ
Contrairement au système d'impression System V, CUPS permet des noms d'imprimantes contenant tout caractère imprimable sauf ESPACE et TABULATION. De plus, les noms d'imprimante et de classe ne sont pas sensibles à la casse.

Les options « -h » et « -W » sont spécifiques à CUPS.

Les options « -f », « -P » et « -S » de Solaris sont ignorées.

VOIR AUSSI
cancel(1), lp(1), CUPS Software Users Manual, http://localhost:631/documentation.html

COPYRIGHT
Copyright 1993-2003 Easy Software Products, Tous droits réservés.

TRADUCTION
Gilles QUERRET <gilles.querret@nerim.net>